<template>
	<div>
		<NavbarTop></NavbarTop>
		<h2>Countdown</h2>
		<label for="countdown-value">Countdown seconds</label>
		<input type="number" id="countdown-value">
		<button @click="startCountdown()">Start</button><button @click="resetCountdown">Reset</button>
		<h3 id="countdownDisplay">
			{{ currentTime }}
		</h3>
	</div>
</template>

<script>
	import NavbarTop from '@/components/NavbarTop'
	export default {
		name: 'Countdown',
		components: {
			NavbarTop
		},
		data () {
			return {
				currentTime: 0,
				countdownPaused: false,
				intervalID: ''
			}
		},
		methods: {
			resetCountdown () {
				if (this.intervalID !== '' && this.intervalID != null) {
					clearInterval(this.intervalID)
					this.currentTime = 0
				}
			},
			startCountdown () {
				var vm = this
				vm.resetCountdown()
				var timer = document.getElementById('countdown-value').value
				var parsedTime = parseInt(timer)
				console.log(Number.isInteger(parsedTime))
				if (!Number.isInteger(parsedTime)) {
					alert('You have to set number in this field, no exceptions :(')
				} else {
					if (parsedTime <= 0) {
						alert('Are you sure that you want to countdown from value less than 1?')
					} else {
						vm.currentTime = parsedTime
						vm.intervalID = setInterval(function () {
							if (vm.currentTime > 0) {
								vm.currentTime--
							} else {
								vm.resetCountdown()
							}
						}, 1000)
					}
				}
			}
		}
	}
</script>

<style scoped>
</style>
